Skip to content
.seventhings.com

Prefill your credentials

Fill in your non-secret values to have them appear in the examples below. Stored locally in your browser.

Remove a file from objects field definition.

POST
/customer-api/v1/object/{objectUuid}/remove-file
curl --request POST \
--url https://your-instance.seventhings.com/customer-api/v1/object/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/remove-file \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[ { "field-key": "example", "file-uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" } ]'

Remove a file from objects field definition

objectUuid
required
string format: uuid
Media typeapplication/json
Array<object>
object
field-key

The key of the field definition where the file should be removed from.

string
file-uuid
string format: uuid
Examplegenerated
[
{
"field-key": "example",
"file-uuid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
]

Success

Return all results of each request body array items.

Request body is missing or invalid or request data is invalid.

Access token is missing or invalid.

You are not permitted to perform the requested operation.

The requested resource could not be found.

The requested resource representation has no acceptable format.

The requested entry is not processable.

Internal Server Error.